Bug 24120 - Search terms in search dropdown must be URI filtered
Summary: Search terms in search dropdown must be URI filtered
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on: 21526
Blocks:
  Show dependency treegraph
 
Reported: 2019-11-26 13:19 UTC by Nick Clemens
Modified: 2019-12-10 22:32 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 24120: URI filter search terms in sort dropdowns (1.75 KB, patch)
2019-11-26 13:21 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 24120: URI filter search terms in sort dropdowns (1.80 KB, patch)
2019-11-26 13:32 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 24120: (follow-up) input_name too (1.57 KB, patch)
2019-11-26 14:12 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 24120: (follow-up) input_name too (1.62 KB, patch)
2019-11-26 14:32 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 24120: URI filter search terms in sort dropdowns (1.88 KB, patch)
2019-11-26 14:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24120: (follow-up) input_name too (1.69 KB, patch)
2019-11-26 14:52 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-11-26 13:19:20 UTC
To recreate:
1 - Search for C++
2 - Sort your results
3 - Note search is now for "C  "
Comment 1 Nick Clemens 2019-11-26 13:21:19 UTC
Created attachment 95826 [details] [review]
Bug 24120: URI filter search terms in sort dropdowns

To test:
1 - Search for C++
2 - Sort your results
3 - Note search is now for "C  "
4 - Apply patch
5 - Search for C++
6 - Reorder results
7 - Still searching for C++
Comment 2 Tomás Cohen Arazi 2019-11-26 13:32:44 UTC
Created attachment 95828 [details] [review]
Bug 24120: URI filter search terms in sort dropdowns

To test:
1 - Search for C++
2 - Sort your results
3 - Note search is now for "C  "
4 - Apply patch
5 - Search for C++
6 - Reorder results
7 - Still searching for C++

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 3 Jonathan Druart 2019-11-26 14:07:29 UTC
Why not QUERY_INPUT.input_name as well?
Comment 4 Nick Clemens 2019-11-26 14:12:22 UTC
Created attachment 95830 [details] [review]
Bug 24120: (follow-up) input_name too
Comment 5 Tomás Cohen Arazi 2019-11-26 14:32:40 UTC
Created attachment 95831 [details] [review]
Bug 24120: (follow-up) input_name too

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 6 Jonathan Druart 2019-11-26 14:52:23 UTC
Created attachment 95832 [details] [review]
Bug 24120: URI filter search terms in sort dropdowns

To test:
1 - Search for C++
2 - Sort your results
3 - Note search is now for "C  "
4 - Apply patch
5 - Search for C++
6 - Reorder results
7 - Still searching for C++

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Jonathan Druart 2019-11-26 14:52:27 UTC
Created attachment 95833 [details] [review]
Bug 24120: (follow-up) input_name too

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Martin Renvoize 2019-11-27 07:55:13 UTC
Nice work!

Pushed to master for 19.11.00
Comment 9 Lucas Gass 2019-12-10 22:27:35 UTC
backported to 19.05.x for 19.05.06